﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
#nullable disable
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace DataLayer.Entities;

public partial class Consumable
{
    [Key]
    [Column("id")]
    public Guid Id { get; set; }

    [Column("price", TypeName = "decimal(18, 6)")]
    public decimal Price { get; set; }

    [Required]
    [Column("name")]
    [StringLength(255)]
    public string Name { get; set; }

    [Required]
    [Column("base_unit")]
    [StringLength(50)]
    public string BaseUnit { get; set; }

    [InverseProperty("Consumables")]
    public virtual ICollection<SpaceConsumable> SpaceConsumables { get; set; } = new List<SpaceConsumable>();
}